> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/methods/ua/overview/webhooks/adding-numbers-to-a-subscription.md).

# Додавання номерів до підписки

## Додати номери до існуючої підписки

> Цей метод дозволяє додавати номери відправлень до підписки типу \`numbers\`.\
> \
> Додаються лише ті номери, які вже існують у системі Nova Post. Номер, якого ще немає в системі, до підписки не потрапить — його потрібно буде додати повторно після того, як відправлення буде створено.\
> Код \`200\` означає, що додано \*\*щонайменше один\*\* номер, а не обов’язково всі передані. Завжди перевіряйте вміст \`missedNumbers\`.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Webhooks"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"Авторизаційний JWT-токен із терміном дії 1 година в заголовку"}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Validation":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Connection time-out","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/tracking-push/subscribers/{id}/numbers":{"post":{"summary":"Додати номери до існуючої підписки","description":"Цей метод дозволяє додавати номери відправлень до підписки типу `numbers`.\n\nДодаються лише ті номери, які вже існують у системі Nova Post. Номер, якого ще немає в системі, до підписки не потрапить — його потрібно буде додати повторно після того, як відправлення буде створено.\nКод `200` означає, що додано **щонайменше один** номер, а не обов’язково всі передані. Завжди перевіряйте вміст `missedNumbers`.\n","operationId":"addNumbersToSubscriber","tags":["Webhooks"],"parameters":[{"name":"id","in":"path","description":"Унікальний ідентифікатор підписки, до якої будуть додані номери відправлень. Це обов’язковий параметр шляху.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Тіло запиту, що містить список номерів відправлень, які необхідно додати до підписки. Для виконання цієї операції тип підписки повинен бути `numbers`.","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"numbers":{"type":"array","description":"Список номерів відправлень, які необхідно додати до підписки.","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"Усі або частину номерів успішно додано до підписки.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Текстовий опис результату операції."},"addedNumbers":{"type":"array","description":"Список номерів, які успішно додано до підписки.","items":{"type":"string"}},"missedNumbers":{"type":"array","description":"Список номерів, які не було додано. Ці номери не знайдено в системі або вони вже прив’язані до цієї підписки.","items":{"type":"string"}}}}}}},"400":{"description":"Жодного номера не додано до підписки.","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Текстовий опис результату операції."},"addedNumbers":{"type":"array","description":"Список номерів, які успішно додано до підписки.","items":{"type":"string"}},"missedNumbers":{"type":"array","description":"Список номерів, які не було додано. Ці номери не знайдено в системі або вони вже прив’язані до цієї підписки.","items":{"type":"string"}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Validation"},"503":{"$ref":"#/components/responses/Time-out"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-portal.novapost.com/methods/ua/overview/webhooks/adding-numbers-to-a-subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
